package com.example.paydemo_new;


import java.text.SimpleDateFormat;
import java.util.Date;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.RemoteException;
import android.util.Log;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

import com.aliyun.pay.order.YunOSOrderManager;
import com.yunos.paydemo.util.Config;
import com.yunos.tv.exdevicedemo.R;
import com.yunos.tv.paysdk.AliTVPayClient;
import com.yunos.tv.paysdk.AliTVPayClient.IPayCallback;
import com.yunos.tv.paysdk.AliTVPayResult;

public class MainActivity extends Activity implements IPayCallback {

	private final static int PAY_END = 1000;
	private final static String PAY_RESULT_KEY = "pay_result";
	private final static String PAY_FEEDBACK_KEY = "pay_feedback";
	private final static String PAY_BUNDLE_KEY = "pay_bundle";
	private Button paybutton;
	private Button unsignButton;
	private EditText orderIdEdit;
	private EditText priceEdit;
	private Button taobaoPaybutton;
	private EditText taobaoOrderIdEdit;
	private EditText taobaoPriceEdit;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		orderIdEdit = (EditText) findViewById(R.id.orderid);
		priceEdit = (EditText) findViewById(R.id.price);
		Date dt = new Date();
		SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddhhmmss");
		orderIdEdit.setText(sdf.format(dt));
		unsignButton = (Button) findViewById(R.id.button1);
		unsignButton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				
				
			    
				new Thread() {
					public void run() {
						Intent intent = new Intent();
					    intent.setClassName("com.yunos.tv.payment", "com.yunos.tv.payment.TVPayManager");
    					startActivity(intent);
    				}
    			}.start();
    		}
		});
		paybutton = (Button) findViewById(R.id.paybutton);
		paybutton.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				Log.d("hukedi", "hukedi in onClick");

				YunOSOrderManager orderManager = new YunOSOrderManager();
				orderManager.GenerateOrder(Config.getPrikey(), Config
						.getPartner(), "123", "测试应用内支付1", priceEdit.getText()
						.toString(), Config.getPartnerNotifyUrl(), orderIdEdit
						.getText().toString());

				String order = orderManager.getOrder();
				String sign = orderManager.getSign();

				Bundle bundle = new Bundle();
				bundle.putString("provider", "alipay");
				
				AliTVPayClient payer = new AliTVPayClient();
				try {
					payer.aliTVPay(getApplicationContext(), order, sign, bundle, MainActivity.this);
				} catch (RemoteException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
			}
		});
		
		taobaoOrderIdEdit = (EditText) findViewById(R.id.EditText01);
		taobaoPriceEdit = (EditText) findViewById(R.id.EditText02);
		taobaoPaybutton = (Button) findViewById(R.id.Button01);
		taobaoPaybutton.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				YunOSOrderManager orderManager = new YunOSOrderManager();
				
				String orderNo = taobaoOrderIdEdit.getText().toString();
				String subject = "淘系支付测试";// 商品名称
				String price = taobaoPriceEdit.getText().toString();// 价格，以分为单位
				orderManager.GenerateOrder("orderNo="+orderNo+"&subject="+subject+"&price="+price+"&orderType=trade");
				
				String order = orderManager.getOrder();
				String sign = orderManager.getSign();

				Bundle bundle = new Bundle();
				bundle.putString("provider", "alipay");
				
				AliTVPayClient payer = new AliTVPayClient();
				try {
					payer.aliTVPay(getApplicationContext(), order, sign, bundle, MainActivity.this);
				} catch (RemoteException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
			}
		});
	}


	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public void onPayProcessEnd(AliTVPayResult arg0) {
		Date dt = new Date();
		SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddhhmmss");
		orderIdEdit.setText(sdf.format(dt));

	}

}
